## Get uploaded files that match specified criteria

### cURL

```bash
curl --request POST \
  --url 'https://api.fabric.inc/v3/inventory-imports/search?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "filters": [
    {
      "field": "import.statusCode",
      "value": "INITIATED"
    }
  ],
  "sort": "-import.createdAt"
}
'```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/inventory-imports/search?limit=10"

payload = {
    "filters": [
        {
            "field": "import.statusCode",
            "value": "INITIATED"
        }
    ],
    "sort": "-import.createdAt"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    filters: [{field: 'import.statusCode', value: 'INITIATED'}],
    sort: '-import.createdAt'
  })
};

fetch('https://api.fabric.inc/v3/inventory-imports/search?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/inventory-imports/search?limit=10",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'filters' => [
        [
                'field' => 'import.statusCode',
                'value' => 'INITIATED'
        ]
    ],
    'sort' => '-import.createdAt'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.fabric.inc/v3/inventory-imports/search?limit=10"

payload := strings.NewReader("{\n  \"filters\": [\n    {\n      \"field\": \"import.statusCode\",\n      \"value\": \"INITIATED\"\n    }\n  ],\n  \"sort\": \"-import.createdAt\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java

```java
HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/inventory-imports/search?limit=10")
  .header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"filters\": [\n    {\n      \"field\": \"import.statusCode\",\n      \"value\": \"INITIATED\"\n    }\n  ],\n  \"sort\": \"-import.createdAt\"}\")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/inventory-imports/search?limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"filters\": [\n    {\n      \"field\": \"import.statusCode\",\n      \"value\": \"INITIATED\"\n    }\n  ],\n  \"sort\": \"-import.createdAt\"}\"

response = http.request(request)
puts response.read_body
```

### Response Examples

#### Successful Response (200)
```json
{
  "data": [
    {
      "createdAt": "2022-08-01T18:03:28.483Z",
      "importId": "62ff5c0bec0aed3c86202c32",
      "attributes": {
        "attribute": "12345"
      },
      "errorFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
      "fileName": "orderUpload.csv",
      "finishedAt": "2022-08-01T18:03:28.483Z",
      "importCount": {
        "error": 2000,
        "processed": 8000,
        "uploaded": 10000
      },
      "originalFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
      "statusCode": "INITIATED",
      "type": "INVENTORY",
      "updatedAt": "2022-08-01T20:03:28.483Z"
    }
  ],
  "pagination": {
    "count": 1000,
    "limit": 10,
    "offset": 1
  }
}
```

#### Client Error (400)
```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

#### Unauthorized Error (401)
```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

#### Server Error (500)
```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorizations
- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers
- **x-fabric-tenant-id**: A header used by fabric to identify the tenant making the request.
